import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TeamConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly ldapDn?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parentTeamId?: number;
    /**
     *
     */
    readonly privacy?: string;
}
/**
 *
 */
export declare class Team extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TeamConfig);
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    /**
     *
     */
    get etag(): string;
    /**
     *
     */
    get id(): string;
    private _ldapDn?;
    /**
     *
     */
    get ldapDn(): string;
    /**
     *
     */
    set ldapDn(value: string);
    /**
     *
     */
    resetLdapDn(): void;
    /**
     *
     */
    get ldapDnInput(): string | undefined;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get nodeId(): string;
    private _parentTeamId?;
    /**
     *
     */
    get parentTeamId(): number;
    /**
     *
     */
    set parentTeamId(value: number);
    /**
     *
     */
    resetParentTeamId(): void;
    /**
     *
     */
    get parentTeamIdInput(): number | undefined;
    private _privacy?;
    /**
     *
     */
    get privacy(): string;
    /**
     *
     */
    set privacy(value: string);
    /**
     *
     */
    resetPrivacy(): void;
    /**
     *
     */
    get privacyInput(): string | undefined;
    /**
     *
     */
    get slug(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
